# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitReflogBrowserDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitReflogBrowserDialog(object):
    def setupUi(self, GitReflogBrowserDialog):
        GitReflogBrowserDialog.setObjectName("GitReflogBrowserDialog")
        GitReflogBrowserDialog.resize(800, 600)
        self.verticalLayout = QtWidgets.QVBoxLayout(GitReflogBrowserDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.logTree = QtWidgets.QTreeWidget(parent=GitReflogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(7)
        sizePolicy.setHeightForWidth(self.logTree.sizePolicy().hasHeightForWidth())
        self.logTree.setSizePolicy(sizePolicy)
        self.logTree.setAlternatingRowColors(True)
        self.logTree.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.logTree.setRootIsDecorated(False)
        self.logTree.setItemsExpandable(False)
        self.logTree.setAllColumnsShowFocus(True)
        self.logTree.setObjectName("logTree")
        self.verticalLayout.addWidget(self.logTree)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.nextButton = QtWidgets.QPushButton(parent=GitReflogBrowserDialog)
        self.nextButton.setObjectName("nextButton")
        self.horizontalLayout.addWidget(self.nextButton)
        self.limitSpinBox = QtWidgets.QSpinBox(parent=GitReflogBrowserDialog)
        self.limitSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.limitSpinBox.setMinimum(1)
        self.limitSpinBox.setMaximum(10000)
        self.limitSpinBox.setProperty("value", 20)
        self.limitSpinBox.setObjectName("limitSpinBox")
        self.horizontalLayout.addWidget(self.limitSpinBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.errorGroup = QtWidgets.QGroupBox(parent=GitReflogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout.addWidget(self.errors)
        self.verticalLayout.addWidget(self.errorGroup)
        self.inputGroup = QtWidgets.QGroupBox(parent=GitReflogBrowserDialog)
        self.inputGroup.setObjectName("inputGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.inputGroup)
        self.gridlayout.setObjectName("gridlayout")
        spacerItem1 = QtWidgets.QSpacerItem(327, 29, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout.addItem(spacerItem1, 1, 1, 1, 1)
        self.sendButton = QtWidgets.QPushButton(parent=self.inputGroup)
        self.sendButton.setObjectName("sendButton")
        self.gridlayout.addWidget(self.sendButton, 1, 2, 1, 1)
        self.input = QtWidgets.QLineEdit(parent=self.inputGroup)
        self.input.setObjectName("input")
        self.gridlayout.addWidget(self.input, 0, 0, 1, 3)
        self.passwordCheckBox = QtWidgets.QCheckBox(parent=self.inputGroup)
        self.passwordCheckBox.setObjectName("passwordCheckBox")
        self.gridlayout.addWidget(self.passwordCheckBox, 1, 0, 1, 1)
        self.verticalLayout.addWidget(self.inputGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitReflogBrowserDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(GitReflogBrowserDialog)
        QtCore.QMetaObject.connectSlotsByName(GitReflogBrowserDialog)
        GitReflogBrowserDialog.setTabOrder(self.logTree, self.nextButton)
        GitReflogBrowserDialog.setTabOrder(self.nextButton, self.limitSpinBox)
        GitReflogBrowserDialog.setTabOrder(self.limitSpinBox, self.errors)
        GitReflogBrowserDialog.setTabOrder(self.errors, self.input)
        GitReflogBrowserDialog.setTabOrder(self.input, self.passwordCheckBox)
        GitReflogBrowserDialog.setTabOrder(self.passwordCheckBox, self.sendButton)

    def retranslateUi(self, GitReflogBrowserDialog):
        _translate = QtCore.QCoreApplication.translate
        GitReflogBrowserDialog.setWindowTitle(_translate("GitReflogBrowserDialog", "Git Reflog"))
        self.logTree.headerItem().setText(0, _translate("GitReflogBrowserDialog", "Commit"))
        self.logTree.headerItem().setText(1, _translate("GitReflogBrowserDialog", "Selector"))
        self.logTree.headerItem().setText(2, _translate("GitReflogBrowserDialog", "Name"))
        self.logTree.headerItem().setText(3, _translate("GitReflogBrowserDialog", "Operation"))
        self.logTree.headerItem().setText(4, _translate("GitReflogBrowserDialog", "Subject"))
        self.nextButton.setToolTip(_translate("GitReflogBrowserDialog", "Press to get the next bunch of log entries"))
        self.nextButton.setText(_translate("GitReflogBrowserDialog", "&Next"))
        self.limitSpinBox.setToolTip(_translate("GitReflogBrowserDialog", "Enter the limit of entries to fetch"))
        self.errorGroup.setTitle(_translate("GitReflogBrowserDialog", "Errors"))
        self.errors.setWhatsThis(_translate("GitReflogBrowserDialog", "<b>Git log errors</b><p>This shows possible error messages of the git log command.</p>"))
        self.inputGroup.setTitle(_translate("GitReflogBrowserDialog", "Input"))
        self.sendButton.setToolTip(_translate("GitReflogBrowserDialog", "Press to send the input to the git process"))
        self.sendButton.setText(_translate("GitReflogBrowserDialog", "&Send"))
        self.sendButton.setShortcut(_translate("GitReflogBrowserDialog", "Alt+S"))
        self.input.setToolTip(_translate("GitReflogBrowserDialog", "Enter data to be sent to the git process"))
        self.passwordCheckBox.setToolTip(_translate("GitReflogBrowserDialog", "Select to switch the input field to password mode"))
        self.passwordCheckBox.setText(_translate("GitReflogBrowserDialog", "&Password Mode"))
        self.passwordCheckBox.setShortcut(_translate("GitReflogBrowserDialog", "Alt+P"))
